## XAppMonitorBlanker

XAppMonitorBlanker — Blank and unblank unused monitors

## Functions

XAppMonitorBlanker * | xapp_monitor_blanker_new ()
void | xapp_monitor_blanker_blank_other_monitors ()
void | xapp_monitor_blanker_unblank_monitors ()
gboolean | xapp_monitor_blanker_are_monitors_blanked ()

## Types and Values

#define | XAPP_TYPE_MONITOR_BLANKER
| XAppMonitorBlanker

## Object Hierarchy

        GObject
        ╰── XAppMonitorBlanker

## Description

The XAppMonitorBlanker widget that creates one or more POPUP type GtkWindows that are used to blank unused monitors in multiple monitor setups.

## Functions

### xapp_monitor_blanker_new ()

    XAppMonitorBlanker *
    xapp_monitor_blanker_new (void);

Creates a new XAppMonitorBlanker.

#### Returns

a newly created XAppMonitorBlanker

### xapp_monitor_blanker_blank_other_monitors ()

    void
    xapp_monitor_blanker_blank_other_monitors
                                   (XAppMonitorBlanker *self,
                                    GtkWindow *window);

Blanks monitors besides the one where the `window` is.

#### Parameters

self | a XAppMonitorBlanker |
window | a GtkWindow |

### xapp_monitor_blanker_unblank_monitors ()

    void
    xapp_monitor_blanker_unblank_monitors (XAppMonitorBlanker *self);

Unblanks monitors that were blanked by `xapp_monitor_blanker_blank_other_monitors()`;

#### Parameters

self | a XAppMonitorBlanker |

### xapp_monitor_blanker_are_monitors_blanked ()

    gboolean
    xapp_monitor_blanker_are_monitors_blanked
                                   (XAppMonitorBlanker *self);

Returns whether monitors are currently blanked. See `xapp_monitor_blanker_blank_other_monitors()`.

#### Parameters

self | a XAppMonitorBlanker |

#### Returns

`TRUE` if monitors are blanked.

## Types and Values

### XAPP_TYPE_MONITOR_BLANKER

    #define XAPP_TYPE_MONITOR_BLANKER (xapp_monitor_blanker_get_type ())

### XAppMonitorBlanker

    typedef struct _XAppMonitorBlanker XAppMonitorBlanker;